Application: gvSIG desktop - gvSIG bugs #649
Server messages are not shown in WMS
05/15/2012 04:13 PM - Ignacio Brodin

Status: Under review % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Ignacio Brodin

Category: WMS

Target version: 2.0.0-beta1l

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Formats: WMS support (org.gvsig.raster.wms.app.wmsclient)
Description

This server

http://wms.jpl.nasa.gov/wms.cqi

returns a error message with several layers. For instance, "WMS Global Mosaic, pan sharpened" returns this XML

<IDOCTYPE ServiceExceptionReport SYSTEM "http://wms.jpl.nasa.gov/exception_1_1_1.dtd ">
<ServiceExceptionReport version="1.1.1">

<ServiceException>

This server no longer provides full WMS services!

</ServiceException>

</ServiceExceptionReport>

gvSIG only throws an exception Exception reading 'Can’t load the layer Capa WMS.'.

History

#1 - 05/23/2012 05:03 PM - Ignacio Brodin

Now it shows the server message in a error console.

gvsig-raster:r1079

#2 - 05/23/2012 05:03 PM - Ignacio Brodin
- Status changed from New to Fixed

#3 - 07/06/2012 01:18 PM - Maria Maluenda
- Status changed from Fixed to New

Checked in the gvSIG build 2049

#4 - 07/09/2012 09:47 AM - Ignacio Brodin

- Status changed from New to Fixed

- Target version changed from 2.0.0-alpha6 to 2.0.0-devel-2050
Set target version to alpha?

#5 - 07/09/2012 09:47 AM - Ignacio Brodin

Set target version to alpha?

#6 - 08/27/2012 02:21 PM - Maria Maluenda
- Status changed from Fixed to Under review

In the dialog box load WMS, in the ultimate window, the Ok button isn't enabled. Tested in the gvSIG build 2051.

#7 - 08/29/2012 02:07 PM - Joaquin del Cerro Murciano
- Status changed from Under review to New

- Target version changed from 2.0.0-devel-2050 to 2.0.0-rc1

#8 - 08/31/2012 08:23 AM - Ignacio Brodin
- Status changed from New to Fixed

| have tested it in Windows and Linux with several services and | have not found any problem. | would need more accurate parameters (server, options
selected in each case or others...)

#9 - 09/06/2012 12:29 PM - Joaquin del Cerro Murciano
- Target version changed from 2.0.0-rc1 to 2.0.0-devel-2053

#10 - 09/06/2012 01:18 PM - Joaquin del Cerro Murciano
- Target version changed from 2.0.0-devel-2053 to 2.0.0-devel-2052

#11 - 09/17/2012 10:03 AM - Maria Maluenda

- Status changed from Fixed to Under review

1.- Open gvSIG

2.- Open new View (EPSG 4326)

3.- Add WMS: http://wms.jpl.nasa.gov/wms.cgi
4.- Next

5.- Next

6.- Select layer: WMS Global Mosaic, pan sharpened, Click Add. Only is enabled the default option (show layer names)
7.- Next

8.- Next

9.- Select image/png and 4326

The Ok button to add the WMS is not enabled
Tested in the gvSIG build 2052, Linux

#12 - 09/18/2012 02:03 PM - Joaquin del Cerro Murciano
- Status changed from Under review to New
- Target version changed from 2.0.0-devel-2052 to 2.0.0-devel-2053

#13 - 09/24/2012 10:03 AM - Joaquin del Cerro Murciano
- Target version changed from 2.0.0-devel-2053 to 2.0.0-rc1

#14 - 09/27/2012 03:23 PM - Ignacio Brodin
- Status changed from New to Fixed
- Target version changed from 2.0.0-rc1 to 2.0.0-betat

gvsig-raster:r1273

#15 - 11/08/2012 12:19 PM - Abenchara Socorro
- Status changed from Fixed to Under review

1.- Open gvSIG

2.- Open new View (EPSG 4326)

3.- Add WMS: http://wms.jpl.nasa.gov/wms.cgi

4.- Next

5.- Next

6.- Select layer: WMS Global Mosaic, pan sharpened, Click Add. Only is enabled the default option (show layer names)
7.- Next

8.- Next

9.- Select image/png and 4326

The Ok button to add the WMS is not enabled

Appears a Warning window
'Problems drawing this layer:
This server no longer provides full WMS services!'

Tested in the gvSIG build 2057, Linux

This could be tested with another server
